# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename csscomb-core

Name:               nodejs-csscomb-core
Version:            2.0.2
Release:            1%{?dist}
Summary:            Framework for writing postprocessors

Group:              Development/Libraries
# https://github.com/csscomb/core/issues/3
License:            MIT
URL:                https://www.npmjs.org/package/csscomb-core
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(gonzales-pe)
BuildRequires:      npm(minimatch)
BuildRequires:      npm(vow)
BuildRequires:      npm(vow-fs)

Requires:           npm(gonzales-pe)
Requires:           npm(minimatch)
Requires:           npm(vow)
Requires:           npm(vow-fs)


%description
CSScomb Core is a framework for writing postprocessors.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/csscomb-core
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/csscomb-core

%nodejs_symlink_deps

%files
#https://github.com/csscomb/core/issues/3
%doc README.md
%{nodejs_sitelib}/csscomb-core/

%changelog
* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 2.0.2-1
- Initial packaging for Fedora.
